{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "MOIS_ORDRE"; 
            externalType = NUMBER; 
            name = moisOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PATT_ORDRE"; 
            externalType = NUMBER; 
            name = pattOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_CODE_INDEMNITE"; 
            externalType = VARCHAR2; 
            name = pfogCodeIndemnite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_CODE_PAIEMENT"; 
            externalType = VARCHAR2; 
            name = pfogCodePaiement; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_CODE_SPECIAL_MAJ"; 
            externalType = VARCHAR2; 
            name = pfogCodeSpecialMaj; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_CODE_TAUX"; 
            externalType = VARCHAR2; 
            name = pfogCodeTaux; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_DATE_EFFET"; 
            externalType = VARCHAR2; 
            name = pfogDateEffet; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_DONNEES_ZONE_A"; 
            externalType = VARCHAR2; 
            name = pfogDonneesZoneA; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_DONNEES_ZONE_B"; 
            externalType = VARCHAR2; 
            name = pfogDonneesZoneB; 
            valueClassName = NSString; 
            valueType = S; 
            width = 7; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_LIBELLE"; 
            externalType = VARCHAR2; 
            name = pfogLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 25; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_MODE_CALCUL"; 
            externalType = VARCHAR2; 
            name = pfogModeCalcul; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_MONTANT"; 
            externalType = VARCHAR2; 
            name = pfogMontant; 
            valueClassName = NSString; 
            valueType = S; 
            width = 7; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_MOUVEMENT_TG"; 
            externalType = VARCHAR2; 
            name = pfogMouvementTg; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_NOMBRE_UNITE"; 
            externalType = VARCHAR2; 
            name = pfogNombreUnite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            columnName = "PFOG_ORDRE"; 
            externalType = NUMBER; 
            name = pfogOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_ORIGINE"; 
            externalType = VARCHAR2; 
            name = pfogOrigine; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_SENS"; 
            externalType = VARCHAR2; 
            name = pfogSens; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PFOG_TYPE_MOUVEMENT"; 
            externalType = VARCHAR2; 
            name = pfogTypeMouvement; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        pfogOrdre, 
        pattOrdre, 
        moisOrdre, 
        pfogMouvementTg, 
        pfogTypeMouvement, 
        pfogCodeIndemnite, 
        pfogDateEffet, 
        pfogCodePaiement, 
        pfogCodeTaux, 
        pfogDonneesZoneA, 
        pfogDonneesZoneB, 
        pfogCodeSpecialMaj, 
        pfogOrigine, 
        pfogSens, 
        pfogModeCalcul, 
        pfogNombreUnite, 
        pfogMontant, 
        pfogLibelle
    ); 
    className = "org.cocktail.mangue.modele.goyave.gest.EOPrimeFormatGest"; 
    classProperties = (
        moisOrdre, 
        pfogMouvementTg, 
        pfogTypeMouvement, 
        pfogCodeIndemnite, 
        pfogDateEffet, 
        pfogCodePaiement, 
        pfogCodeTaux, 
        pfogDonneesZoneA, 
        pfogDonneesZoneB, 
        pfogCodeSpecialMaj, 
        pfogOrigine, 
        pfogSens, 
        pfogModeCalcul, 
        pfogNombreUnite, 
        pfogMontant, 
        pfogLibelle, 
        primeAttribution
    ); 
    externalName = "GOYAVE.PRIME_FORMAT_GEST"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            moisOrdre, 
            pfogMouvementTg, 
            pfogTypeMouvement, 
            pfogCodeIndemnite, 
            pfogDateEffet, 
            pfogCodePaiement, 
            pfogCodeTaux, 
            pfogDonneesZoneA, 
            pfogDonneesZoneB, 
            pfogCodeSpecialMaj, 
            pfogOrigine, 
            pfogSens, 
            pfogModeCalcul, 
            pfogNombreUnite, 
            pfogMontant, 
            pfogLibelle, 
            primeAttribution
        ); 
        "_nameInObjectStore" = "PRIME_FORMAT_GEST"; 
    }; 
    name = PrimeFormatGest; 
    primaryKeyAttributes = (pfogOrdre); 
    relationships = (
        {
            destination = PrimeAttribution; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pattOrdre; sourceAttribute = pattOrdre; }); 
            name = primeAttribution; 
        }
    ); 
}
